
User Interface - Bug #2851

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the default-window retains its active titlebar even when it is no longer the focused window

11/16/2015 02:10 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/16/2015 02:11 PM - Greg Shah

Use frame-z-order/zw1.p to recreate.  Select any window that is not the "P2J GUI Client" and you will see that "P2J GUI Client" still draws with its

titlebar as "active".

#2 - 11/24/2015 09:31 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

#3 - 11/25/2015 04:50 PM - Eugenie Lyzenko

We have serious issue with window activation here. Especially when there are many windows in addition to the main window(ID==1). In demo

application this become worse because the main window is not visible.

At some time WindowManager become out of sync with current active window. The window can be activated by focus change for window. The initial

activation on startup is out of this chain. The main window does not register the focus listener to be able to affect the active window object for mouse

click. Windows activation in Window.pushConfig() does not change the WindowManager session internals that used to detect the active window. All

this causes the incorrect answer to question isActiveWindow() for windows title and incorrect title background.

Looking for solutions.

#4 - 11/25/2015 10:07 PM - Eugenie Lyzenko

- File evl_upd20151125d.zip added

This is some intermediate results for review. I've uploaded as zip instead of diffing because fix is in progress and many debugging code should be

removed. The test works as expected, the customer demo - almost.

The changes:

1. WindowGuiImpl - moved focus listener adding to constructor to have this feature for default window too.

2. Activate window when client handle screen definition push and window is visible.

3. WindowTitleBar checks current and active windows equality if the active window is visible.

Continue working.
#5 - 11/26/2015 04:58 PM - Eugenie Lyzenko

After recent rebase for 2677b the test frame-z-order/zw1.p stops working. The windows are all hidden now.

#6 - 11/27/2015 02:20 PM - Greg Shah

- Status changed from New to WIP

- Assignee changed from Eugenie Lyzenko to Hynek Cihlar

#7 - 01/12/2016 04:31 PM - Hynek Cihlar

This issue has been resolved by #2875 task branch 2875a.

#8 - 01/12/2016 04:31 PM - Hynek Cihlar

- % Done changed from 0 to 100

#9 - 01/12/2016 05:04 PM - Greg Shah

- Status changed from WIP to Closed

#10 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20151125d.zip 41.9 KB 11/26/2015 Eugenie Lyzenko
